﻿class codeSoundClass extends MovieClip
{
	//vers X11
	//This class handles sound for associated code ('under-language')
	
	var cSound: Sound;
	var holdForComment: Boolean = false;
	var holdForCommentTimer: Number;
	var commIndex: Number;
	var commentsArray = new Array(0,0,0,0,0,0,0,0,0,0);
	var isPlaying: Boolean = false;
	var prefix: String;
	var myVol: Number = 50;
	
	//PLAY SOUNDERS ATTACHED TO LINE READINGS
	function audibilize(theIndex, iter)
	{
		cSound = new Sound();
		
		//transfer index to local variable for possible use in enterFrame handler, below
		commIndex = theIndex;
		
		if(_root["g_"+theIndex].seqArray[iter] == "z") //this is a 'comment' situation
		{
			//pre-pend "slashes" or "comment" sounder
			if(_root.idiom == "ActionScript")
			{
				cSound.loadSound("sounds/comments/slash.mp3", true);
			}
			else
			{
				cSound.loadSound("sounds/comments/comment.mp3", true);			
			}
			holdForCommentTimer = getTimer()+1200;
			holdForComment = true;
			//now see enterFrame handler, below
		}
		else //this is a genuine coding line; choose AS or PseudoCode, and play
		{
			if(_root.idiom == "Pseudocode") prefix = "pseud_";
			if(_root.idiom == "ActionScript") prefix = "code_";
			cSound.loadSound("sounds/codons/"+prefix+theIndex+"-"+iter+".mp3", true);
		}
		//play on!
		cSound.start();
		isPlaying = true;
	}
	
	//need to use enterFrame in order to pre-pend "slash-slash" or "comment" to comments
	function onEnterFrame()
	{
		//reset main volume for code sounders: update constantly
		cSound.setVolume(myVol);
		
		//update isPlaying variable
		if(cSound.position == cSound.duration) isPlaying = false;
		
		if(holdForComment)
		{
			if(getTimer() > holdForCommentTimer)
			{
				holdForComment = false;

				if(_root.repRequest == false) //then this is fresh comment, not btn replay
				{
					commentsArray[commIndex] = Math.floor(Math.random()*30);
				}
				//if repRequest is true, then we don't pull a new comment number, and use existing value

				cSound = new Sound(this);
				cSound.loadSound("sounds/comments/comm_"+commentsArray[commIndex]+".mp3", true);
				cSound.start();
			}
		}
	}
	
	function codeSoundClass(){}

	
}