﻿class rootObjectClass extends MovieClip
{
	//vers X11
	
	var endTime: Number;
	var i: Number;
	var screenSet: Boolean = false;
	var fadeDelay: Number;
	var scoreLevel: Number;
	var finalSound: Sound;
	var soundControlCounter: Number = 0;
	
	function onEnterFrame()
	{
		//TIME OUT, POME OVER
		if(_root.numLinesDone < 10 && getTimer() > _root.endTime) _level0.loadMovie("timeout.swf");
		
		//END OF SUCCESSFUL ENGAGEMENT
		
		if(_root.numLinesDone == 10 && !screenSet) finalScreenSet();
		
		//Auto-fader for final image
		if(_root.finalImage._visible && _root.finalImage._alpha < 100 && getTimer()>fadeDelay)
		{
			fadeDelay = getTimer()+50;
			_root.finalImage._alpha ++;
			soundControlCounter++;
		}
		
		
		if(soundControlCounter == 20)
		{
			finalSound.loadSound("sounds/summary/announcement.mp3", true);
			finalSound.start();
		}
		
		if(soundControlCounter == 60)
		{
			finalSound.loadSound("sounds/summary/fanfare.mp3", true);
			finalSound.start();
		}
		
		if(soundControlCounter == 90)
		{
			finalSound.loadSound("sounds/summary/sum_"+scoreLevel+"-"+Math.floor(Math.random()*5)+".mp3", true);
			finalSound.start();
		}
		
	}
	
	//SETS UP SCREEN FOR FINAL DISPLAY
	function finalScreenSet()
	{
		screenSet = true; //do this only once
		
		for(i=0; i< 10; i++)
			{
				_root["btn_"+i]._visible = false;
				_root["g_"+i].frame._visible = false;
			}
			_root.ambientSound.howLoud = 0;
			_root.mainGraphic._visible = false;
			_root.overlay._root.draw1.clear();
			_root.overlay._root.draw2.clear();
			_root.overlay.lineAlpha = 0;
			fadeDelay = getTimer()+50;
			
			//assess score and assign final image
			if(_root.score > 700) scoreLevel = 4;
			if(_root.score < 701 && _root.score > 499) scoreLevel = 3;
			if(_root.score < 500 && _root.score > 299) scoreLevel = 2;;
			if(_root.score <300 && _root.score > 99) scoreLevel = 1;
			if(_root.score < 100) scoreLevel = 0;
			_root.finalImage.loadMovie("images/finalImage_"+_root.idiom.charAt(0)+"-"+scoreLevel+".jpg");
			_root.finalImage._x = 0;
			_root.finalImage._y = 0;
			_root.finalImage._alpha = 0;
			_root.finalImage._visible = true;

			
	}
	
	function rootObjectClass()
	{
		//ROOT VARIABLES
		_root.idiom = "Pseudocode";
		_root.lineOptions = "default";
		_root.codeOpen = false;
		_root.endTime = getTimer()+180000; 	// 3 minutes
		_root.maxValue = 1800000;			// 30 minutes
		_root.babbline = "";
		_root.codeline = "";
		_root.theText = "";
		_root.numLinesDone = 0;
		_root.score = 0;
		_root.repRequest = false;
		
		_root.finalImage._visible = false;
		finalSound = new Sound(this);
		finalSound.setVolume(200);
		
	}
	
}